Subject: Re: git-shortlog script

From: Jeff Garzik <[email-masked]>
Date: Sat, 04 Jun 2005 20:08:20 -0400

Linus Torvalds wrote:
> 
> On Sat, 4 Jun 2005, Jeff Garzik wrote:
> 
>>Attached is the 'git-shortlog' script I whipped up, to mimic the 
>>shortlog script that was used back in the BitKeeper days.
> 
> 
> Thanks, I'll add this to the git stuff, and next kernel release will have 
> a proper shortlog.

cool

> Btw, it shows how broken your merge script is: you don't fill in the 
> AUTHOR field properly for some reason:
> 
>  <[email-masked]>:
>   Automatic merge of /spare/repo/netdev-2.6 branch r8169-fix
>   Automatic merge of /spare/repo/linux-2.6/.git branch HEAD
>   Automatic merge of /spare/repo/netdev-2.6 branch use-after-unmap
>   Automatic merge of rsync://rsync.kernel.org/.../torvalds/linux-2.6.git branch HEAD
> 
> but "committer" is right. Pls fix.

hehe, my merge script is Ctrl-R (recall last git-resolve-script invocation).

Committer is right because I set that in my .bash_profile.  I'll do that 
for author too, to provide a sane default.

I'm surprised git doesn't fall back to GIT_COMMITTER_NAME if 
GIT_AUTHOR_NAME doesn't exist, though.

	Jeff